import { Series } from "./Series";
import { DependencyProperty } from "igniteui-react-core";
import { DependencyObject } from "igniteui-react-core";
import { HighlightingInfo } from "igniteui-react-core";
import { ShapeItemSearchMode } from "./ShapeItemSearchMode";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { StyleShapeEventArgs } from "./StyleShapeEventArgs";
import { Axis } from "./Axis";
import { FrameworkElement } from "igniteui-react-core";
import { DataContext } from "igniteui-react-core";
import { Marker } from "./Marker";
import { Tuple$2 } from "igniteui-react-core";
import { ShapeHitRegion } from "./ShapeHitRegion";
import { AssigningShapeStyleEventArgs } from "./AssigningShapeStyleEventArgs";
import { AssigningShapeMarkerStyleEventArgs } from "./AssigningShapeMarkerStyleEventArgs";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { FlattenedShape } from "./FlattenedShape";
import { SeriesView } from "./SeriesView";
import { RenderSurface } from "./RenderSurface";
import { Dictionary$2 } from "igniteui-react-core";
import { AssigningSeriesShapeStyleEventArgsBase } from "./AssigningSeriesShapeStyleEventArgsBase";
import { SeriesRenderManager } from "./SeriesRenderManager";
import { Shape } from "igniteui-react-core";
import { AssigningSeriesStyleEventArgsBase } from "./AssigningSeriesStyleEventArgsBase";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Style } from "igniteui-react-core";
import { StyleSelector } from "./StyleSelector";
import { Path } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { PathGeometry } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class ShapeSeriesBase extends Series {
    static $t: Type;
    constructor();
    oz(): void;
    ai(): Axis[];
    ko(a: any, b: string): any;
    ma(a: string): string;
    xq: boolean;
    xp: boolean;
    protected xi: boolean;
    protected xh: boolean;
    protected get_fc(): boolean;
    private xd;
    private xe;
    protected get_eb(): boolean;
    protected xb(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected xc(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    private w4;
    get w5(): ShapeItemSearchMode;
    set w5(a: ShapeItemSearchMode);
    protected w6(): ShapeItemSearchMode;
    w7: ShapeItemSearchMode;
    x8: number;
    x7: number;
    ip(a: Point): number;
    private wt;
    private wu;
    protected yq(a: Point): Tuple$2<number, Point>;
    private yp;
    protected get_xj(): boolean;
    protected get xj(): boolean;
    private yo;
    protected x3(a: Point): number;
    v5(a: Point, b: boolean, c: boolean): Point;
    kl(a: Point): any;
    protected xa(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    de(a: any, b: Point, c: boolean): HighlightingInfo;
    df(a: any, b: Point, c: boolean): HighlightingInfo;
    assigningShapeStyle: (sender: any, args: AssigningShapeStyleEventArgs) => void;
    assigningShapeMarkerStyle: (sender: any, args: AssigningShapeMarkerStyleEventArgs) => void;
    protected xw(): boolean;
    protected xv(): boolean;
    protected w8: ShapeSeriesRenderManager;
    yk: string;
    get yb(): string;
    set yb(a: string);
    static readonly y3: DependencyProperty;
    protected f9(): boolean;
    protected hr(): List$1<SeriesLayerPropertyOverlay>;
    private ys;
    private xf;
    get xg(): IFastItemColumn$1<any>;
    set xg(a: IFastItemColumn$1<any>);
    w1: NumericXAxis;
    w3: NumericYAxis;
    private xn;
    private static xr;
    private convertToListList;
    protected dk(a: string): IFastItemColumn$1<any>;
    protected q4(a: any, b: string, c: any, d: any): void;
    protected xu(): boolean;
    protected xt(): boolean;
    xl(a: any): boolean;
    xk(a: any): boolean;
    private w0;
    private w2;
    private x2;
    xy: List$1<Rect>;
    private y0;
    private ze;
    private x0;
    private wq;
    private ws;
    private wr;
    private wp;
    protected get_xo(): boolean;
    protected get xo(): boolean;
    protected xx(): boolean;
    rn(a: boolean): void;
    rl(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected yz(a: SeriesView): void;
    protected yv(a: FrameworkElement, b: boolean, c: number, d: number, e: boolean, f: boolean): void;
    protected yu(a: number, b: number, c: boolean): void;
    protected yx(a: AssigningShapeStyleEventArgs): void;
    protected yw(a: AssigningShapeMarkerStyleEventArgs): void;
    wv(a: number, b: number): any[];
    protected ww(a: number, b: number): any[];
    private static yy;
    p5(): void;
    protected sk(a: Rect, b: Rect): void;
    protected sj(a: Rect, b: Rect): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_xs(): boolean;
    protected get xs(): boolean;
    qw(a: SeriesView): void;
    private w9;
    private x1;
    private wz;
    private yr;
    zd: Rect;
    private y2;
    o2(a: boolean, b: SeriesView): void;
    private yt;
    private y1;
    a1(a: Point, b: boolean): DataContext;
    x9(a: number): any;
    protected get_g5(): boolean;
    protected set_g5(a: boolean): void;
    x4: number;
    x5: number;
    ax(a: Axis): AxisRange;
    protected get_fv(): boolean;
    protected get_fj(): boolean;
    get xm(): boolean;
    zf(a: any, b: DependencyObject, c: Style): Style;
    styleShape: (sender: any, e: StyleShapeEventArgs) => void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ShapeSeriesRenderManager extends SeriesRenderManager {
    static $t: Type;
    protected c(): AssigningSeriesStyleEventArgsBase;
    protected a(): AssigningSeriesShapeStyleEventArgsBase;
    aw: AssigningShapeMarkerStyleEventArgs;
    ax: AssigningShapeStyleEventArgs;
    a1(a: Shape, b: number, c: boolean): void;
    ay(a: ShapeSeriesBase, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    az(a: Series, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    a0(a: AssigningSeriesStyleEventArgsBase, b: number, c: number, d: boolean): void;
}
/**
 * @hidden
 */
export declare abstract class ShapeSeriesViewBase extends SeriesView {
    static $t: Type;
    constructor(a: ShapeSeriesBase);
    cc: Dictionary$2<number, FlattenedShape>;
    b4(a: Point): Marker;
    get ce(): List$1<ShapeHitRegion>;
    protected b8(): Pool$1<FrameworkElement>;
    cb(a: Rect): boolean;
    static cf(a: List$1<FlattenedShape>): List$1<PointCollection>;
    get ca(): boolean;
    protected b6: ShapeSeriesBase;
    private cd;
    ci(a: number, b: any, c: Rect, d: List$1<FlattenedShape>): void;
    protected c4(a: number, b: any): FrameworkElement;
    protected abstract ck(a: FrameworkElement, b: PathGeometry): void;
    static cl(a: ShapeSeriesViewBase, b: Path, c: any): void;
    cp(a: (arg1: FrameworkElement) => void): void;
    cm(a: FrameworkElement, b: any, c: boolean): void;
    protected co(a: FrameworkElement, b: boolean): void;
    private cj;
    private cx;
    protected abstract c5(a: number, b: List$1<PointCollection>): PathGeometry;
    cu(): void;
    ct(): void;
    private ch;
    cw(a: number, b: number): void;
    cn(): void;
    protected cg: List$1<Path>;
    c1(): FrameworkElement;
    cq(a: FrameworkElement): void;
    cr(a: FrameworkElement): void;
    cs(a: FrameworkElement): void;
    protected b9: Pool$1<FrameworkElement>;
    c6(a: number, b: List$1<PointCollection>, c: boolean): PathGeometry;
    protected ac(a: number): any;
    private c7;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    private b7;
    private c8;
    get c9(): Style;
    cz(a: StyleSelector): void;
    cy(a: Style): void;
    c2(a: Point, b: boolean): FrameworkElement;
    c3(a: Point, b: boolean, c: boolean): FrameworkElement;
    b5(a: Point, b: boolean, c: boolean): ShapeHitRegion;
    private b1;
    private b3;
    private b2;
    private b0;
    cv(a: number[], b: number[], c: number[], d: number[]): void;
    c0(): void;
    an(a: any): void;
}
